Bug 234950 - [PATCH] dns/dsc remove net/GeoIP dependency and undeprecate
Summary: [PATCH] dns/dsc remove net/GeoIP dependency and undeprecate
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Craig Leres
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-14 17:28 UTC by Craig Leres
Modified: 2019-02-13 01:02 UTC (History)
2 users (show)

See Also:
freebsd: maintainer-feedback+


Attachments
patch (835 bytes, patch)
2019-01-14 17:30 UTC, Craig Leres
no flags Details | Diff
revised patch (2.11 KB, patch)
2019-02-02 22:01 UTC, Craig Leres
leres: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Craig Leres freebsd_committer 2019-01-14 17:28:35 UTC
net/GeoIP has been deprecated but there is no need to deprecate dns/dsc since it builds without GeoIP support.
Comment 1 Craig Leres freebsd_committer 2019-01-14 17:30:09 UTC
Created attachment 201134 [details]
patch
Comment 2 Craig Leres freebsd_committer 2019-02-02 22:01:51 UTC
Created attachment 201658 [details]
revised patch

Here is a revised patch:

 - Add a dependency on net/libmaxminddb and retain GeoIP support
 - Remove pkg-descr whitespace flagged by portlint
 - Update pkg-message to describe updating via net/geoipupdate
Comment 3 Leo Vandewoestijne 2019-02-12 10:07:55 UTC
Awesome, I almost submitted another patch when I suddenly notice this one!
Let me please test in the next few hours, but it looks better than what I had in mind, so great!
Comment 4 Leo Vandewoestijne 2019-02-12 13:45:50 UTC
Comment on attachment 201658 [details]
revised patch

All perfectly fine.
Nice! Thanks.
Comment 5 commit-hook freebsd_committer 2019-02-13 01:01:44 UTC
A commit references this bug:

Author: leres
Date: Wed Feb 13 01:01:13 UTC 2019
New revision: 492818
URL: https://svnweb.freebsd.org/changeset/ports/492818

Log:
  Undeprecate and retain GeoIP support by switching from net/GeoIP
  to net/libmaxminddb. Update pkg-message to document updating via
  net/geoipupdate. Remove pkg-descr whitespace flagged by portlint.

  PR:		234950
  Reviewed by:	ler (mentor)
  Approved by:	freebsd@dns.company (maintainer), ler (mentor)
  Differential Revision:	https://reviews.freebsd.org/D19173

Changes:
  head/dns/dsc/Makefile
  head/dns/dsc/files/pkg-message.in
  head/dns/dsc/pkg-descr